classification
Title: [doc] incorrect tuning(7) manpage link
Type: Stage: resolved
Components: Documentation Versions: Python 3.10, Python 3.9, Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: benjamin.peterson, docs@python, erlendaasland, lukasz.langa, miss-islington
Priority: normal Keywords: patch

Created on 2021-03-01 07:33 by erlendaasland, last changed 2021-05-04 13:48 by lukasz.langa. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 24680 merged erlendaasland, 2021-03-01 08:04
PR 24684 closed miss-islington, 2021-03-01 14:44
PR 24685 merged miss-islington, 2021-03-01 14:45
PR 25694 merged miss-islington, 2021-04-28 16:21
Messages (5)
msg387845 - (view) Author: Erlend E. Aasland (erlendaasland) * (Python triager) Date: 2021-03-01 07:33
In https://docs.python.org/3.10/library/resource.html#resource.RLIMIT_SWAP, tuning(7) points to https://manpages.debian.org/tuning(7), however this is a FreeBSD only (?) system call, so the link is incorrect.

I suggest linking to either:
- https://docs.freebsd.org/en/books/handbook/config/
- https://www.freebsd.org/cgi/man.cgi?query=tuning&sektion=7&format=html
msg387847 - (view) Author: Erlend E. Aasland (erlendaasland) * (Python triager) Date: 2021-03-01 07:58
> FreeBSD only (?) system call [...]

Correction, it's not a sys call. It belongs to the misc manpage section.
msg387868 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2021-03-01 14:45
New changeset f4d7d46cb48aa3a1bf3c2c7e2d7d71cbf49dea69 by Erlend Egeberg Aasland in branch 'master':
closes bpo-43349: Fix tuning(7) manpage hyperlink. (GH-24680)
https://github.com/python/cpython/commit/f4d7d46cb48aa3a1bf3c2c7e2d7d71cbf49dea69
msg387869 - (view) Author: miss-islington (miss-islington) Date: 2021-03-01 14:54
New changeset 643939a07e480ed88a6eca9793157f1c695a418e by Miss Islington (bot) in branch '3.8':
closes bpo-43349: Fix tuning(7) manpage hyperlink. (GH-24680)
https://github.com/python/cpython/commit/643939a07e480ed88a6eca9793157f1c695a418e
msg392896 - (view) Author: Ɓukasz Langa (lukasz.langa) * (Python committer) Date: 2021-05-04 13:48
New changeset 4b90c8f17603e7ab4e4568cc8b9d5de4f8099973 by Miss Islington (bot) in branch '3.9':
closes bpo-43349: Fix tuning(7) manpage hyperlink. (GH-24680) (#25694)
https://github.com/python/cpython/commit/4b90c8f17603e7ab4e4568cc8b9d5de4f8099973
History
Date User Action Args
2021-05-04 13:48:33lukasz.langasetnosy: + lukasz.langa
messages: + msg392896
2021-04-28 16:21:43miss-islingtonsetpull_requests: + pull_request24384
2021-03-01 14:54:39miss-islingtonsetmessages: + msg387869
2021-03-01 14:45:07benjamin.petersonsetstatus: open -> closed

nosy: + benjamin.peterson
messages: + msg387868

resolution: fixed
stage: patch review -> resolved
2021-03-01 14:45:04miss-islingtonsetpull_requests: + pull_request23469
2021-03-01 14:44:57miss-islingtonsetnosy: + miss-islington
pull_requests: + pull_request23468
2021-03-01 08:04:48erlendaaslandsetkeywords: + patch
stage: patch review
pull_requests: + pull_request23465
2021-03-01 07:58:15erlendaaslandsetmessages: + msg387847
2021-03-01 07:33:09erlendaaslandcreate